Index: issm/trunk/src/c/classes/Inputs/DoubleInput.cpp
===================================================================
--- issm/trunk/src/c/classes/Inputs/DoubleInput.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Inputs/DoubleInput.cpp	(revision 18301)
@@ -13,11 +13,9 @@
 
 /*DoubleInput constructors and destructor*/
-/*FUNCTION DoubleInput::DoubleInput(){{{*/
-DoubleInput::DoubleInput(){
+DoubleInput::DoubleInput(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::DoubleInput(IssmDouble value){{{*/
-DoubleInput::DoubleInput(int in_enum_type,IssmDouble in_value){
+DoubleInput::DoubleInput(int in_enum_type,IssmDouble in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -25,6 +23,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::~DoubleInput(){{{*/
-DoubleInput::~DoubleInput(){
+DoubleInput::~DoubleInput(){/*{{{*/
 	return;
 }
@@ -32,20 +29,16 @@
 
 /*Object virtual functions definitions:*/
-		/*FUNCTION DoubleInput::Echo {{{*/
-void DoubleInput::Echo(void){
+void DoubleInput::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION DoubleInput::DeepEcho{{{*/
-void DoubleInput::DeepEcho(void){
+void DoubleInput::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(15)<<"   DoubleInput "<<setw(25)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Id{{{*/
-int    DoubleInput::Id(void){ return -1; }
-/*}}}*/
-/*FUNCTION DoubleInput::ObjectEnum{{{*/
-int DoubleInput::ObjectEnum(void){
+int    DoubleInput::Id(void){ return -1; }/*{{{*/
+/*}}}*/
+int DoubleInput::ObjectEnum(void){/*{{{*/
 
 	return DoubleInputEnum;
@@ -53,6 +46,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::copy{{{*/
-Object* DoubleInput::copy() {
+Object* DoubleInput::copy() {/*{{{*/
 
 	return new DoubleInput(this->enum_type,this->value);
@@ -62,6 +54,5 @@
 
 /*DoubleInput management*/
-/*FUNCTION DoubleInput::InstanceEnum{{{*/
-int DoubleInput::InstanceEnum(void){
+int DoubleInput::InstanceEnum(void){/*{{{*/
 
 	return this->enum_type;
@@ -69,6 +60,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::SpawnTriaInput{{{*/
-Input* DoubleInput::SpawnTriaInput(int index1,int index2,int index3){
+Input* DoubleInput::SpawnTriaInput(int index1,int index2,int index3){/*{{{*/
 
 	/*output*/
@@ -84,6 +74,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::SpawnSegInput{{{*/
-Input* DoubleInput::SpawnSegInput(int index1,int index2){
+Input* DoubleInput::SpawnSegInput(int index1,int index2){/*{{{*/
 
 	/*output*/
@@ -101,18 +90,15 @@
 
 /*Object functions*/
-/*FUNCTION DoubleInput::GetInputValue(bool* pvalue) {{{*/
-void DoubleInput::GetInputValue(bool* pvalue){
+void DoubleInput::GetInputValue(bool* pvalue){/*{{{*/
 	_error_("Double input of enum " << EnumToStringx(enum_type) << " cannot return a boolean");
 
 }
 /*}}}*/
-/*FUNCTION DoubleInput::GetInputValue(int* pvalue){{{*/
-void DoubleInput::GetInputValue(int* pvalue){
+void DoubleInput::GetInputValue(int* pvalue){/*{{{*/
 	_error_("Double input of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an integer");
 
 }
 /*}}}*/
-/*FUNCTION DoubleInput::GetInputValue(IssmDouble* pvalue){{{*/
-void DoubleInput::GetInputValue(IssmDouble* pvalue){
+void DoubleInput::GetInputValue(IssmDouble* pvalue){/*{{{*/
 
 	/*return value*/
@@ -120,14 +106,11 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){{{*/
-void DoubleInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){*pvalue=this->value;}
-/*}}}*/
-/*FUNCTION DoubleInput::ChangeEnum{{{*/
-void DoubleInput::ChangeEnum(int newenumtype){
+void DoubleInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){*pvalue=this->value;}/*{{{*/
+/*}}}*/
+void DoubleInput::ChangeEnum(int newenumtype){/*{{{*/
 	this->enum_type=newenumtype;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::SquareMin{{{*/
-void DoubleInput::SquareMin(IssmDouble* psquaremin,Parameters* parameters){
+void DoubleInput::SquareMin(IssmDouble* psquaremin,Parameters* parameters){/*{{{*/
 
 	/*square min of a IssmDouble is the square of the IssmDouble itself: */
@@ -135,16 +118,13 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Scale{{{*/
-void DoubleInput::Scale(IssmDouble scale_factor){
+void DoubleInput::Scale(IssmDouble scale_factor){/*{{{*/
 	value=value*scale_factor;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::ConstrainMin{{{*/
-void DoubleInput::ConstrainMin(IssmDouble minimum){
+void DoubleInput::ConstrainMin(IssmDouble minimum){/*{{{*/
 	if (value<minimum) value=minimum;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::AXPY{{{*/
-void DoubleInput::AXPY(Input* xinput,IssmDouble scalar){
+void DoubleInput::AXPY(Input* xinput,IssmDouble scalar){/*{{{*/
 
 	DoubleInput*  xIssmDoubleinput=NULL;
@@ -166,6 +146,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Constrain{{{*/
-void DoubleInput::Constrain(IssmDouble cm_min, IssmDouble cm_max){
+void DoubleInput::Constrain(IssmDouble cm_min, IssmDouble cm_max){/*{{{*/
 
 	if(!xIsNan<IssmDouble>(cm_min)) if (this->value<cm_min)this->value=cm_min;
@@ -174,26 +153,21 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Max{{{*/
-IssmDouble DoubleInput::Max(void){
+IssmDouble DoubleInput::Max(void){/*{{{*/
 	return this->value;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::MaxAbs{{{*/
-IssmDouble DoubleInput::MaxAbs(void){
+IssmDouble DoubleInput::MaxAbs(void){/*{{{*/
 	return fabs(this->value);
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Min{{{*/
-IssmDouble DoubleInput::Min(void){
+IssmDouble DoubleInput::Min(void){/*{{{*/
 	return this->value;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::MinAbs{{{*/
-IssmDouble DoubleInput::MinAbs(void){
+IssmDouble DoubleInput::MinAbs(void){/*{{{*/
 	return fabs(this->value);
 }
 /*}}}*/
-/*FUNCTION DoubleInput::GetVectorFromInputs{{{*/
-void DoubleInput::GetVectorFromInputs(Vector<IssmDouble>* vector,int* doflist){
+void DoubleInput::GetVectorFromInputs(Vector<IssmDouble>* vector,int* doflist){/*{{{*/
 
 	_error_("not supporte yet!");
@@ -201,11 +175,9 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::GetInputAverage{{{*/
-void DoubleInput::GetInputAverage(IssmDouble* pvalue){
+void DoubleInput::GetInputAverage(IssmDouble* pvalue){/*{{{*/
 	*pvalue=value;
 }
 /*}}}*/
-/*FUNCTION DoubleInput::VerticallyIntegrate{{{*/
-void DoubleInput::VerticallyIntegrate(Input* thickness_input){
+void DoubleInput::VerticallyIntegrate(Input* thickness_input){/*{{{*/
 
 	/*Intermediaries*/
@@ -228,6 +200,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::PointwiseDivide{{{*/
-Input* DoubleInput::PointwiseDivide(Input* inputB){
+Input* DoubleInput::PointwiseDivide(Input* inputB){/*{{{*/
 
 	/*Ouput*/
@@ -248,6 +219,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::PointwiseMin{{{*/
-Input* DoubleInput::PointwiseMin(Input* input){
+Input* DoubleInput::PointwiseMin(Input* input){/*{{{*/
 
 	/*Ouput*/
@@ -269,6 +239,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::PointwiseMax{{{*/
-Input* DoubleInput::PointwiseMax(Input* input){
+Input* DoubleInput::PointwiseMax(Input* input){/*{{{*/
 
 	/*Ouput*/
@@ -290,6 +259,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleInput::Configure{{{*/
-void DoubleInput::Configure(Parameters* parameters){
+void DoubleInput::Configure(Parameters* parameters){/*{{{*/
 	/*do nothing: */
 }
Index: issm/trunk/src/c/classes/Inputs/Inputs.cpp
===================================================================
--- issm/trunk/src/c/classes/Inputs/Inputs.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Inputs/Inputs.cpp	(revision 18301)
@@ -19,11 +19,9 @@
 
 /*Object constructors and destructor*/
-/*FUNCTION Inputs::Inputs(){{{*/
-Inputs::Inputs(){
+Inputs::Inputs(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION Inputs::~Inputs(){{{*/
-Inputs::~Inputs(){
+Inputs::~Inputs(){/*{{{*/
 	return;
 }
@@ -31,6 +29,5 @@
 
 /*Object management*/
-/*FUNCTION Inputs::GetInputValue(bool* pvalue,int enum-type){{{*/
-void Inputs::GetInputValue(bool* pvalue,int enum_type){
+void Inputs::GetInputValue(bool* pvalue,int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -59,6 +56,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputValue(int* pvalue,int enum-type){{{*/
-void Inputs::GetInputValue(int* pvalue,int enum_type){
+void Inputs::GetInputValue(int* pvalue,int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -87,6 +83,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputValue(IssmDouble* pvalue,int enum-type){{{*/
-void Inputs::GetInputValue(IssmDouble* pvalue,int enum_type){
+void Inputs::GetInputValue(IssmDouble* pvalue,int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -115,6 +110,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputAverage{{{*/
-void Inputs::GetInputAverage(IssmDouble* pvalue,int enum_type){
+void Inputs::GetInputAverage(IssmDouble* pvalue,int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -143,6 +137,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::AddInput{{{*/
-int  Inputs::AddInput(Input* in_input){
+int  Inputs::AddInput(Input* in_input){/*{{{*/
 
 	/*First, go through dataset of inputs and check whether any input 
@@ -169,6 +162,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::ChangeEnum{{{*/
-void  Inputs::ChangeEnum(int oldenumtype,int newenumtype){
+void  Inputs::ChangeEnum(int oldenumtype,int newenumtype){/*{{{*/
 
 	/*Go through dataset of inputs and look for input with 
@@ -199,6 +191,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::ConstrainMin{{{*/
-void  Inputs::ConstrainMin(int constrain_enum, IssmDouble minimum){
+void  Inputs::ConstrainMin(int constrain_enum, IssmDouble minimum){/*{{{*/
 
 	/*Find x and y inputs: */
@@ -212,6 +203,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::InfinityNorm{{{*/
-IssmDouble Inputs::InfinityNorm(int enumtype){
+IssmDouble Inputs::InfinityNorm(int enumtype){/*{{{*/
 
 	/*Output*/
@@ -233,6 +223,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Max{{{*/
-IssmDouble Inputs::Max(int enumtype){
+IssmDouble Inputs::Max(int enumtype){/*{{{*/
 
 	/*Output*/
@@ -254,6 +243,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::MaxAbs{{{*/
-IssmDouble Inputs::MaxAbs(int enumtype){
+IssmDouble Inputs::MaxAbs(int enumtype){/*{{{*/
 
 	/*Output*/
@@ -275,6 +263,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Min{{{*/
-IssmDouble Inputs::Min(int enumtype){
+IssmDouble Inputs::Min(int enumtype){/*{{{*/
 
 	/*Output*/
@@ -296,6 +283,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::MinAbs{{{*/
-IssmDouble Inputs::MinAbs(int enumtype){
+IssmDouble Inputs::MinAbs(int enumtype){/*{{{*/
 
 	/*Output*/
@@ -317,6 +303,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInput{{{*/
-Input* Inputs::GetInput(int enum_name){
+Input* Inputs::GetInput(int enum_name){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -334,6 +319,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::DeleteInput{{{*/
-int  Inputs::DeleteInput(int enum_type){
+int  Inputs::DeleteInput(int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -354,6 +338,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::DuplicateInput{{{*/
-void  Inputs::DuplicateInput(int original_enum,int new_enum){
+void  Inputs::DuplicateInput(int original_enum,int new_enum){/*{{{*/
 
 	/*Make a copy of the original input: */
@@ -369,6 +352,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::SpawnTriaInputs{{{*/
-Inputs* Inputs::SpawnTriaInputs(int index1,int index2,int index3){
+Inputs* Inputs::SpawnTriaInputs(int index1,int index2,int index3){/*{{{*/
 
 	/*Intermediary*/
@@ -395,6 +377,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::SpawnSegInputs{{{*/
-Inputs* Inputs::SpawnSegInputs(int index1,int index2){
+Inputs* Inputs::SpawnSegInputs(int index1,int index2){/*{{{*/
 
 	/*Intermediary*/
@@ -421,6 +402,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::AXPY{{{*/
-void  Inputs::AXPY(int inputy_enum, IssmDouble scalar, int inputx_enum){
+void  Inputs::AXPY(int inputy_enum, IssmDouble scalar, int inputx_enum){/*{{{*/
 
 	/*Find x and y inputs: */
@@ -436,6 +416,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Configure{{{*/
-void Inputs::Configure(Parameters* parameters){
+void Inputs::Configure(Parameters* parameters){/*{{{*/
 
 	vector<Object*>::iterator object;
Index: issm/trunk/src/c/classes/Inputs/IntInput.cpp
===================================================================
--- issm/trunk/src/c/classes/Inputs/IntInput.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Inputs/IntInput.cpp	(revision 18301)
@@ -13,11 +13,9 @@
 
 /*IntInput constructors and destructor*/
-/*FUNCTION IntInput::IntInput(){{{*/
-IntInput::IntInput(){
+IntInput::IntInput(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION IntInput::IntInput(IssmDouble* values){{{*/
-IntInput::IntInput(int in_enum_type,IssmInt in_value){
+IntInput::IntInput(int in_enum_type,IssmInt in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -25,6 +23,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::~IntInput(){{{*/
-IntInput::~IntInput(){
+IntInput::~IntInput(){/*{{{*/
 	return;
 }
@@ -32,15 +29,12 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION IntInput::DeepEcho{{{*/
-void IntInput::DeepEcho(void){
+void IntInput::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(15)<<"   IntInput "<<setw(25)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION IntInput::Id{{{*/
-int    IntInput::Id(void){ return -1; }
+int    IntInput::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION IntInput::ObjectEnum{{{*/
-int IntInput::ObjectEnum(void){
+int IntInput::ObjectEnum(void){/*{{{*/
 
 	return IntInputEnum;
@@ -48,6 +42,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::copy{{{*/
-Object* IntInput::copy() {
+Object* IntInput::copy() {/*{{{*/
 
 	return new IntInput(this->enum_type,this->value);
@@ -57,11 +50,9 @@
 
 /*IntInput management*/
-/*FUNCTION IntInput::Echo {{{*/
-void IntInput::Echo(void){
+void IntInput::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION IntInput::InstanceEnum{{{*/
-int IntInput::InstanceEnum(void){
+int IntInput::InstanceEnum(void){/*{{{*/
 
 	return this->enum_type;
@@ -69,6 +60,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::SpawnTriaInput{{{*/
-Input* IntInput::SpawnTriaInput(int index1,int index2,int index3){
+Input* IntInput::SpawnTriaInput(int index1,int index2,int index3){/*{{{*/
 
 	/*output*/
@@ -83,6 +73,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::SpawnSegInput{{{*/
-Input* IntInput::SpawnSegInput(int index1,int index2){
+Input* IntInput::SpawnSegInput(int index1,int index2){/*{{{*/
 
 	/*output*/
@@ -99,27 +88,21 @@
 
 /*Object functions*/
-/*FUNCTION IntInput::GetInputValue(bool* pvalue) {{{*/
-void IntInput::GetInputValue(bool* pvalue){_error_("not supported yet!");}
+void IntInput::GetInputValue(bool* pvalue){_error_("not supported yet!");}/*{{{*/
 /*}}}*/
-/*FUNCTION IntInput::GetInputValue(int* pvalue){{{*/
-void IntInput::GetInputValue(int* pvalue){
+void IntInput::GetInputValue(int* pvalue){/*{{{*/
 	*pvalue=value;
 }
 /*}}}*/
-/*FUNCTION IntInput::GetInputValue(IssmDouble* pvalue){{{*/
-void IntInput::GetInputValue(IssmDouble* pvalue){
+void IntInput::GetInputValue(IssmDouble* pvalue){/*{{{*/
 	_error_("IntInput cannot return a IssmDouble in parallel");
 }
 /*}}}*/
-/*FUNCTION IntInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){{{*/
-void IntInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){_error_("not supported yet!");}
+void IntInput::GetInputValue(IssmDouble* pvalue,Gauss* gauss){_error_("not supported yet!");}/*{{{*/
 /*}}}*/
-/*FUNCTION IntInput::ChangeEnum{{{*/
-void IntInput::ChangeEnum(int newenumtype){
+void IntInput::ChangeEnum(int newenumtype){/*{{{*/
 	this->enum_type=newenumtype;
 }
 /*}}}*/
-/*FUNCTION IntInput::SquareMin{{{*/
-void IntInput::SquareMin(IssmDouble* psquaremin,Parameters* parameters){
+void IntInput::SquareMin(IssmDouble* psquaremin,Parameters* parameters){/*{{{*/
 
 	/*square min of an integer is the square of the integer itself: */
@@ -127,12 +110,10 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::Scale{{{*/
-void IntInput::Scale(IssmDouble scale_factor){
+void IntInput::Scale(IssmDouble scale_factor){/*{{{*/
 	IssmDouble dvalue=(IssmDouble)value*scale_factor;
 	value=reCast<int>(dvalue);
 }
 /*}}}*/
-/*FUNCTION IntInput::AXPY{{{*/
-void IntInput::AXPY(Input* xinput,IssmDouble scalar){
+void IntInput::AXPY(Input* xinput,IssmDouble scalar){/*{{{*/
 
 	IssmDouble dvalue;
@@ -156,6 +137,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::Constrain{{{*/
-void IntInput::Constrain(IssmDouble cm_min, IssmDouble cm_max){
+void IntInput::Constrain(IssmDouble cm_min, IssmDouble cm_max){/*{{{*/
 
 	if(!xIsNan<IssmDouble>(cm_min)) if (this->value<cm_min)this->value=reCast<int>(cm_min);
@@ -164,6 +144,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::GetVectorFromInputs{{{*/
-void IntInput::GetVectorFromInputs(Vector<IssmDouble>* vector,int* doflist){
+void IntInput::GetVectorFromInputs(Vector<IssmDouble>* vector,int* doflist){/*{{{*/
 
 	_error_("not supporte yet!");
@@ -171,6 +150,5 @@
 }
 /*}}}*/
-/*FUNCTION IntInput::Configure{{{*/
-void IntInput::Configure(Parameters* parameters){
+void IntInput::Configure(Parameters* parameters){/*{{{*/
 	/*do nothing: */
 }
